Name:           yubikey-personalization-gui
Version:        3.1.11
Release:        4%{?dist}
Summary:        GUI for Yubikey personalization

License:        BSD
URL:            http://opensource.yubico.com/yubikey-personalization-gui/
Source0:        http://opensource.yubico.com/yubikey-personalization-gui/releases/%{name}-%{version}.tar.gz

BuildRequires:  libyubikey-devel >= 1.11
BuildRequires:  ykpers-devel >= 1.14.1
BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel

%description
Yubico's YubiKey can be re-programmed with a new AES key. This is a graphical
tool that makes this an easy task.


%prep
%setup -q


%build
qmake-qt4 "CONFIG+=fedora"
make %{?_smp_mflags}


%install
install -D -p -m 0755 build/release/%{name} %{buildroot}%{_bindir}/%{name}
install -D -p -m 0644 resources/lin/%{name}.1 \
    %{buildroot}%{_mandir}/man1/%{name}.1

mkdir -p %{buildroot}/%{_datadir}/pixmaps
install -p -m 0644 resources/lin/%{name}.xpm %{buildroot}/%{_datadir}/pixmaps/
install -p -m 0644 resources/lin/%{name}.png %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install --dir=%{buildroot}%{_datadir}/applications \
    resources/lin/%{name}.desktop


%files
%doc NEWS README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/pixmaps/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Dec 1 2013 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.11-2
- Add BR on ykpers >= 1.14.1, for clarity

* Thu Nov 28 2013 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.11-1
- New upstream release 3.1.11; with support for Qt5

* Fri Aug 16 2013 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.10-1
- Compared to previously built version a lot changes, like:
- Crash fixes
- Import and export capabilities
- Easier uploading of programmed keys to Yubico
- Improved NEO support

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 08 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.2-1
- Update to new upstream release, supporting deleting configurations, testing
  of write operations, fixes to NDEF programming and other bugfixes.

* Wed Oct 17 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.1-2
- Updated for comments on RR

* Wed Oct 17 2012 Maxim Burgerhout <maxim@wzzrd.com> - 3.1.1-1
- Initial packaging
